---
debug: false
production: false
############################
# heat-cluster vars
############################
# This name is used for the Heat stack and as a prefix for the
# cluster node hostnames.
cluster_name: influxdb-cluster
cluster_keypair: piers-engage

# mount point and volume size for generic data volume
data_filesystem: /var/lib/influxdb
data_vol_size: 100
# yes - create and attach data volume
create_data_vol: true

# Docker volume
docker_vol_size: 20

dbnode_influxdb:
  name: "influxdb"
  flavor: "m1.xlarge"
  image: "Ubuntu-20.04.1-x86_64"
  num_nodes: 1

cluster_group_vars: # cluster wide defaults/overides
  cluster:
    ansible_user: ubuntu
    ansible_python_interpreter: python3

cluster_groups:
  - "{{ dbnode_influxdb }}"

# Node group assignments for cluster roles.
# These group assignments are appended to the cluster inventory file.
# The names of these roles are cross-referenced to groups referred to
# in playbooks in the ansible/ directory.
cluster_roles:
  - name: "nodes"
    groups: "{{ cluster_groups }}"


# having python3 on CentOS is a bit of a problem
ansible_python_interpreter: python3

# create with kubeadm alpha certs certificate-key
k8s_certificate_key: e84a904d76a2ea53cfb0a5407ab1f04bed2c9c4c9f0f8e9002d35f280a16fda9

# the DNS name that Kubernetes API server will anser on (X509 cert)
k8s_dns_entry: kubernetes.engageska-portugal.pt
